CoCoA-5 - Bug #217

Makedependencies of CoCoA-5 fails if BOOST is absent
02 Aug 2012 18:03 - John Abbott

Status: Closed Start date: 02 Aug 2012
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Portability Estimated time: 4.00 hours
Target version: CoCoA-5.0.3 Spent time: 12.25 hours
Description

If BOOST is absent, ./configure; make fails with current version of CoCoALib.
The failure is when rebuilding the dependencies file for CoCoA-5.

Related issues:
Related to CoCoALib - Feature #255: Use BOOST lib default location if possible Closed 08 Oct 2012

History

#1 - 02 Aug 2012 18:37 - John Abbott
- Category set to Portability
- Status changed from New to Resolved

- % Done changed from 0 to 90

Awaiting confirmation from Niko Rudak that it works for him.
Will close when he has confirmed.

#2 - 05 Aug 2012 14:32 - John Abbott

Now | believe | have sorted out the configure script (and Makefiles) so that they work just as well when BOOST is absent as when it is present.

I'll prepare a TAR-GZ file for Niko, and will close if he confirms that eveything is fine.

#3 - 08 Aug 2012 20:11 - John Abbott

Niko had problems. | found some more (minor) bugs in configure.
Everything works as | want on my linux VM; waiting again for Niko to confirm (or not?) that it works for him.

#4 - 03 Sep 2012 17:19 - John Abbott

- Status changed from Resolved to Closed

Niko reports that it works for him, so I'm closing this issue.

#5 - 19 Sep 2012 16:59 - John Abbott
- % Done changed from 90 to 100

#6 - 21 May 2013 18:32 - Anna Maria Bigatti

- Assignee set to John Abbott
- Target version set to CoCoA-5.0.3

19 Apr 2024 1/1



http://www.tcpdf.org

